program LogBookTestProject;

{$APPTYPE CONSOLE}

uses
  SysUtils, SpaceObjectUnit, LogBookUnit, windows;

var LogBook:TLogBook;
begin
  SetConsoleOutputCP(1251);
  LogBook:=TLogBook.Create;
  LogBook.LoadFromFile('../cosmos/.txt');
  LogBook.Print;

  LogBook.SortByName;
  writeln;
  writeln('  ');
  writeln('----------------------------------------------------------------');
  writeln('  ,  ...');
  readln;
  LogBook.Print;

  LogBook.SortByDiameter;
  writeln;
  writeln('  ');
  writeln('----------------------------------------------------------------');
  writeln('  ,  ...');
  readln;
  LogBook.Print;

  LogBook.Filter(1000,0);
  writeln;
  writeln('      [1000,...]:');
  writeln('----------------------------------------------------------------');
  writeln('  ,  ...');
  readln;
  LogBook.Print;

  LogBook.Free;
  writeln;
  writeln('  ,   ...');
  readln;
end.
